2 2

[alpine-aports] [PATCH] main/datamash: new aport

Assaf Gordon
Details
Message ID
<1498870383-12828-1-git-send-email-assafgordon@gmail.com>
Sender timestamp
1498870383
DKIM signature
missing
Download raw message
Patch: +52 -0
https://www.gnu.org/software/datamash/

GNU Datamash is command-line program which performs basic
numeric,textual and statistical operations on input textual
data files.

Includes 2 sub-packages:
  datamash-doc (man page + info file)
  datamash-bash-completion
---
Hello,

I'd like to suggest a new alpine package for GNU Datamash.
It is a single binary (/usr/bin/datamash) which is useful for command-line
operations. Usage examples available here:
  https://www.gnu.org/software/datamash/examples/
(disclaimier: I'm datamash's developer).

Comments welcomed,
Regards,
 -assaf


 main/datamash/APKBUILD | 52 ++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 52 insertions(+)
 create mode 100644 main/datamash/APKBUILD

diff --git a/main/datamash/APKBUILD b/main/datamash/APKBUILD
new file mode 100644
index 0000000..55771ea
--- /dev/null
+++ b/main/datamash/APKBUILD
@@ -0,0 +1,52 @@
+# Contributor: Assaf Gordon <assafgordon@gmail.com>
+pkgname=datamash
+pkgver=1.1.1
+pkgrel=0
+
+pkgdesc="command-line text/math processing"
+url="https://www.gnu.org/software/datamash/"
+arch="all"
+license="GPL"
+source="http://ftpmirror.gnu.org/datamash/$pkgname-$pkgver.tar.gz"
+subpackages="$pkgname-doc $pkgname-bash-completion:bashcomp:noarch"
+
+builddir="$srcdir/$pkgname-$pkgver"
+
+build() {
+	cd "$builddir"
+
+	./configure \
+		--build=$CBUILD \
+		--host=$CHOST \
+		--prefix=/usr \
+		--mandir=/usr/share/man \
+		--infodir=/usr/share/info \
+		--disable-nls \
+		--disable-werror \
+		--with-bash-completion-dir=yes \
+		|| return 1
+	make || return 1
+}
+
+package() {
+	cd "$builddir"
+
+	make -j1 DESTDIR="$pkgdir" install || return 1
+	rm -rf "$pkgdir"/usr/share/datamash/examples \
+		"$pkgdir"/usr/lib/charset.alias \
+		|| return 1
+}
+
+bashcomp() {
+	depends=""
+	pkgdesc="Bash completions for $pkgname"
+	install_if="$pkgname=$pkgver-r$pkgrel bash-completion"
+
+	mkdir -p "$subpkgdir"/usr/share/bash-completion/completions/ || return 1
+	mv "$pkgdir"/usr/share/datamash/bash-completion.d/datamash \
+		"$subpkgdir"/usr/share/bash-completion/completions/ || return 1
+}
+
+md5sums="cb917de6a108e20b31aa817cd76463a8  datamash-1.1.1.tar.gz"
+sha256sums="420819b3d7372ee3ce704add847cff7d08c4f8176c1d48735d4a632410bb801b  datamash-1.1.1.tar.gz"
+sha511sums="8932ed5ec357348108cd559acada3bfdc12ee4e360d709d74a6a661bc55f80223baa493d9185be8816b550ef86ff1f760249deb77cbeee9aa1f4178043a1938f  datamash-1.1.1.tar.gz"
-- 
2.1.4



---
Unsubscribe:  alpine-aports+unsubscribe@lists.alpinelinux.org
Help:         alpine-aports+help@lists.alpinelinux.org
---

Re: [alpine-aports] main/datamash: new aport

Timo Teras
Details
Message ID
<20170829085033.6002c914@vostro.util.wtbts.net>
In-Reply-To
<1498870383-12828-1-git-send-email-assafgordon@gmail.com> (view parent)
Sender timestamp
1503985842
DKIM signature
missing
Download raw message
Hi,

Sorry for late review.

On Sat,  1 Jul 2017 00:53:03 +0000
Assaf Gordon <assafgordon@gmail.com> wrote:

> https://www.gnu.org/software/datamash/
> 
> GNU Datamash is command-line program which performs basic
> numeric,textual and statistical operations on input textual
> data files.
> 
> Includes 2 sub-packages:
>   datamash-doc (man page + info file)
>   datamash-bash-completion
> ---
> Hello,
> 
> I'd like to suggest a new alpine package for GNU Datamash.
> It is a single binary (/usr/bin/datamash) which is useful for
> command-line operations. Usage examples available here:
>   https://www.gnu.org/software/datamash/examples/
> (disclaimier: I'm datamash's developer).

Sounds good. See review comments below.

>  main/datamash/APKBUILD | 52
> ++++++++++++++++++++++++++++++++++++++++++++++++++ 1 file changed, 52
> insertions(+) create mode 100644 main/datamash/APKBUILD

New aports should start in 'testing'. We don't usually accept direct
contributions to 'main' or 'community'. In most cases 'community' will
be the right place for package, and I suspect this will be datamash's
place when matured. Packages in 'main' are expected to have long
maintained stable release branches.

> diff --git a/main/datamash/APKBUILD b/main/datamash/APKBUILD
> new file mode 100644
> index 0000000..55771ea
> --- /dev/null
> +++ b/main/datamash/APKBUILD
> @@ -0,0 +1,52 @@
> +# Contributor: Assaf Gordon <assafgordon@gmail.com>
> +pkgname=datamash
> +pkgver=1.1.1
> +pkgrel=0
> +
> +pkgdesc="command-line text/math processing"
> +url="https://www.gnu.org/software/datamash/"
> +arch="all"
> +license="GPL"
> +source="http://ftpmirror.gnu.org/datamash/$pkgname-$pkgver.tar.gz"
> +subpackages="$pkgname-doc $pkgname-bash-completion:bashcomp:noarch"
> +
> +builddir="$srcdir/$pkgname-$pkgver"
> +
> +build() {
> +	cd "$builddir"
> +
> +	./configure \
> +		--build=$CBUILD \
> +		--host=$CHOST \
> +		--prefix=/usr \
> +		--mandir=/usr/share/man \
> +		--infodir=/usr/share/info \
> +		--disable-nls \
> +		--disable-werror \
> +		--with-bash-completion-dir=yes \
> +		|| return 1
> +	make || return 1

The '|| return 1' is no longer needed. Abuild runs in set -e mode now.

> +}
> +
> +package() {
> +	cd "$builddir"
> +
> +	make -j1 DESTDIR="$pkgdir" install || return 1
> +	rm -rf "$pkgdir"/usr/share/datamash/examples \
> +		"$pkgdir"/usr/lib/charset.alias \
> +		|| return 1
> +}
> +
> +bashcomp() {
> +	depends=""
> +	pkgdesc="Bash completions for $pkgname"
> +	install_if="$pkgname=$pkgver-r$pkgrel bash-completion"
> +
> +	mkdir -p "$subpkgdir"/usr/share/bash-completion/completions/
> || return 1
> +	mv "$pkgdir"/usr/share/datamash/bash-completion.d/datamash \
> +		"$subpkgdir"/usr/share/bash-completion/completions/
> || return 1 +}
> +
> +md5sums="cb917de6a108e20b31aa817cd76463a8  datamash-1.1.1.tar.gz"
> +sha256sums="420819b3d7372ee3ce704add847cff7d08c4f8176c1d48735d4a632410bb801b
> datamash-1.1.1.tar.gz"
> +sha511sums="8932ed5ec357348108cd559acada3bfdc12ee4e360d709d74a6a661bc55f80223baa493d9185be8816b550ef86ff1f760249deb77cbeee9aa1f4178043a1938f
> datamash-1.1.1.tar.gz"

There's typo for sha511sums (should be 512). Please use 'abuild
checksum' to update checksums. We recently also dropped other checksums
than sha512.

Timo


---
Unsubscribe:  alpine-aports+unsubscribe@lists.alpinelinux.org
Help:         alpine-aports+help@lists.alpinelinux.org
---

[alpine-aports] [PATCH v2] testing/datamash: new aport

Assaf Gordon
Details
Message ID
<20170903023938.12149-1-assafgordon@gmail.com>
In-Reply-To
<20170829085033.6002c914@vostro.util.wtbts.net> (view parent)
Sender timestamp
1504406378
DKIM signature
missing
Download raw message
Patch: +51 -0
https://www.gnu.org/software/datamash/

GNU Datamash is command-line program which performs basic
numeric,textual and statistical operations on input textual
data files.

Includes 2 sub-packages:
  datamash-doc (man page + info file)
  datamash-bash-completion
---
Timo,

Thank you for your comments.
Here's an update.

Changes v1 -> v2:
  - moved to 'testing'
  - updated to datamash 1.2
  - removed "|| return 1" in shell functions


 testing/datamash/APKBUILD | 51 +++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 51 insertions(+)
 create mode 100644 testing/datamash/APKBUILD

diff --git a/testing/datamash/APKBUILD b/testing/datamash/APKBUILD
new file mode 100644
index 0000000000..327567f435
--- /dev/null
+++ b/testing/datamash/APKBUILD
@@ -0,0 +1,51 @@
+# Contributor: Assaf Gordon <assafgordon@gmail.com>
+# Maintainer: Assaf Gordon <assafgordon@gmail.com>
+pkgname=datamash
+pkgver=1.2
+pkgrel=0
+
+pkgdesc="command-line text/math procesing"
+url="https://www.gnu.org/software/datamash/"
+arch="all"
+license="GPL"
+source="http://ftpmirror.gnu.org/datamash/$pkgname-$pkgver.tar.gz"
+subpackages="$pkgname-doc $pkgname-bash-completion:bashcomp:noarch"
+
+builddir="$srcdir/$pkgname-$pkgver"
+
+build() {
+	cd "$builddir"
+
+	./configure \
+		--build=$CBUILD \
+		--host=$CHOST \
+		--prefix=/usr \
+		--mandir=/usr/share/man \
+		--infodir=/usr/share/info \
+		--disable-nls \
+		--disable-werror \
+		--with-bash-completion-dir=local
+
+	make
+}
+
+package() {
+	cd "$builddir"
+
+	make -j1 DESTDIR="$pkgdir" install
+	rm -rf "$pkgdir"/usr/share/datamash/examples \
+		"$pkgdir"/usr/lib/charset.alias
+}
+
+bashcomp() {
+	depends=""
+	pkgdesc="Bash completions for $pkgname"
+	install_if="$pkgname=$pkgver-r$pkgrel bash-completion"
+
+	mkdir -p "$subpkgdir"/usr/share/bash-completion/completions/
+
+	mv "$pkgdir"/usr/share/datamash/bash-completion.d/datamash \
+		"$subpkgdir"/usr/share/bash-completion/completions/
+}
+
+sha512sums="afb0960ffa881e1112394f5e0355c7a6efea13d6bdcbccb9830a6cde617e13701ca361d62c8283b7a64a27135b2f54a75970b17a7d73a5f0ba914ab70f05c086  datamash-1.2.tar.gz"
-- 
2.13.5



---
Unsubscribe:  alpine-aports+unsubscribe@lists.alpinelinux.org
Help:         alpine-aports+help@lists.alpinelinux.org
---